# Type alias CopilotSkill

CopilotSkill: {
description: string;
execute: ((config) => Promise<{
postExec?: string;
} | void>);
function_name: string;
json_schema: (() => Promise<GenObj>);
render_html: ((config) => Promise<string>);
system_prompt: (() => Promise<string>);
title: string;
}

#### Type declaration

- ##### description: string

- ##### execute: ((config) => Promise<{
  postExec?: string;
  } | void>)

  - - (config): Promise<{
      postExec?: string;
      } | void>

    - #### Parameters

      - ##### config: GenObj

      #### Returns Promise<{
      postExec?: string;
      } | void>

- ##### function_name: string

- ##### json_schema: (() => Promise<GenObj>)

  - - (): Promise<GenObj>

    - #### Returns Promise<GenObj>

- ##### render_html: ((config) => Promise<string>)

  - - (config): Promise<string>

    - #### Parameters

      - ##### config: GenObj

      #### Returns Promise<string>

- ##### system_prompt: (() => Promise<string>)

  - - (): Promise<string>

    - #### Returns Promise<string>

- ##### title: string

- Defined in saltcorn-types/base_types.ts:504

Generated using TypeDoc